
QGIS Application - Bug report #8647

Labeling with 'Capitalize first letter' does not work with all Caps

2013-09-22 11:29 PM - Devdatta Tengshe

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17378

Description

I have tried this with a shapefile as well as a PostGIS layer. I have a layer with a field which has text in all Caps. For example the text is

'ARUNACHAL PRADESH' 

When  use the the 'Capitalize first letter' in Labels>>Text>>TypeCase, the label which is generated is in all caps. We should get 'Arunchal

Pradesh', but the output is 'ARUNACHAL PRADESH'.  (Do note that the 'All Lowercase' option works as expected)

This bug not happen when the input field is in all small case, or in mixed case.

History

#1 - 2013-09-23 12:05 AM - Devdatta Tengshe

You can reproduce this with the following GeoJSON:

{

    "type" : "FeatureCollection",

    "features" : [{

            "type" : "Feature",

            "id" : 0,

            "properties" : {

                "name" : "FOO BAR",

                "m_name" : "Foo bAr",

                "s_name" : "foo bar" 

            },

            "geometry" : {

                "type" : "Point",

                "coordinates" : [20, 50]

            }

        }

    ]

};

Also note that when the input is "Foo bAr", the output with 'Capitalize first letter' is "Foo BAr" and not "Foo Bar" as expected.

#2 - 2013-09-23 09:32 AM - Giovanni Manghi

- Assignee set to Larry Shaffer
- Target version changed from Version 2.0.0 to 70

#3 - 2013-09-26 11:30 AM - Jürgen Fischer

- Target version changed from 70 to Future Release - High Priority

#4 - 2015-01-19 01:11 AM - Giovanni Manghi

- Target version deleted (Future Release - High Priority)

- Affected QGIS version changed from 2.0.1 to master

- OS version deleted (Xp SP3)

- Operating System deleted (Windows)

Still true on the latest master.

#5 - 2015-03-27 02:18 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #7724
